* {
    margin: 0;
    padding: 0;
}

html,
body {
    min-height: 100%;
    width: 100%;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

@font-face {
    font-family: "Benguiat";
    src: url("fonts/Benguiat-Normal.ttf") format("truetype");
}

.container {
    display: grid;
    grid-gap: .35rem;
    grid-template-columns: 225px auto;
    position: relative;
    width: 100%;
    height: 100%;
}

.menu {
    display: block;
    margin-top: 2rem;
    text-decoration: none;
    padding: 0 2rem;
    list-style-type: none;
}

.menu ul li {
    list-style: none;
    text-align: center;
    font-weight: bolder;
    font-size: large;
    line-height: 2.5rem;
    color: navy;
}

.menu .logo {
    font-size: 1.5rem;
    font-family: "Benguiat";
    margin: 1rem 0;
    text-align: center;
    color: darkgreen;
}

.menu .logo img {
    margin: 1rem 0;
}

hr {
    margin: 1rem 0;
}

.content {
    padding: 0 1rem;
    margin-top: 3rem;
}

.hero {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 2rem;
}

.welcome {
    color: rgb(240, 240, 240);
    background: rgb(255, 212, 158);
    background: linear-gradient(180deg, rgb(209, 108, 24) 0%, rgb(194, 103, 29) 100%);
    padding: 3rem;
    width: 350px;
    border-radius: .4rem;
}

.welcome::first-letter {
    font-size: 3rem;
}

.quilt-image {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    font-weight: 900;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url(images/hero.jpg);
    background-size: cover;
    height: 350px;
    color: rgb(240, 240, 240);
    width: 30vw;
    margin-left: -2.5rem;
    border-radius: .4rem;
}

.gallery {
    display: grid;
    /* justify-content: center; */
    grid-template-columns: repeat(auto-fill, minmax(250px, 250px));
    grid-template-rows: auto;
    grid-auto-flow: row;
    grid-gap: .35rem;
}

.gallery figure {
    display: block;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.gallery img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: all .2s;
    z-index: 1;
}

.gallery .title {
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    transition: all .2s ease-in-out;
}

.gallery .description {
    position: absolute;
    height: 45px;
    width: 100%;
    z-index: 5;
    color: white;
    background: rgba(0, 0, 0, 0.5);
    /* transition: all .2s ease-in-out; */
}

.gallery .title {
    font-size: .85rem;
    z-index: 5;
    transform: translateY(40px);
    transition: all .325s ease-in-out;
}

.gallery .text {
    z-index: 5;
    padding-left: 1rem;
    transition: all .2s ease-in-out;
}

.gallery figure:hover img {
    -moz-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
    transition: all .2s;
}

.gallery figure:hover .description {
    transform: translateY(-45px);
    transition: all .2s ease-in-out;
}

.gallery figure:hover .title {
    transform: translateY(0px);
    opacity: 1;
    transition: all .2s ease-in-out;
}

.gallery figure:hover .text {
    /* transform: translateY(-80px); */
    opacity: 1;
    transition: all .325s ease-in-out;
}

.lightbox {
    position: absolute;
    min-height: 100%;
    width: 100%;
    z-index: -1;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: all .325s;
}

.lightbox.visible {
    display: block;
    z-index: 999;
    opacity: 1;
    transition: all .2s;
}

.lightbox img {
    display: block;
    position: fixed;
    left: 0;
    right: 0;
    height: 80vh;
    width: auto;
    margin: auto;
    padding: 5rem;
    object-fit: cover;
    opacity: 0;
    transition: all .2s;
}

.lightbox.visible img {
    opacity: 1;
    transition: all .325s;
}


/** MEDIA QUERIES **/

@media (max-width: 480px) {
    .container {
        grid-gap: 0rem;
        grid-template-columns: 125px auto;
    }
    .menu {
        margin: 0;
        padding: 0;
        font-size: 1rem;
    }
    .menu ul li {
        font-size: .8rem;
        line-height: 1.4rem;
    }
    .menu .logo img {
        margin: .2rem 0;
    }
    .menu hr {
        margin: .2rem 0;
    }
    .logo h1 {
        font-size: 1rem;
    }
    .logo img {
        width: 100px;
        height: auto;
    }
    .gallery {
        grid-template-columns: repeat(auto-fill, minmax(100px, 100px));
        grid-gap: auto;
        padding: 0;
        padding-left: .3rem;
    }
    /** TODO: decide if we show or not on mobile **/
    .gallery .description {
        display: none;
    }
    .lightbox img {
        display: block;
        position: fixed;
        left: 0;
        right: 0;
        height: auto;
        width: 80%;
        margin: auto;
        padding: 2.5rem 0;
        object-fit: cover;
        opacity: 0;
    }
    .lightbox.visible img {
        opacity: 1;
        transition: all 0ms;
    }
}